package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import com.yanzhu.jh.project.domain.SurProjectAttendanceUser;

/**
 * 劳务实名制管理Service接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface ISurProjectAttendanceDataService 
{
    /**
     * 查询劳务实名制管理
     * 
     * @param id 劳务实名制管理主键
     * @return 劳务实名制管理
     */
    public SurProjectAttendanceData selectSurProjectAttendanceDataById(Long id);

    /**
     * 查询劳务实名制管理列表
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 劳务实名制管理集合
     */
    public List<SurProjectAttendanceData> selectSurProjectAttendanceDataList(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 新增劳务实名制管理
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int insertSurProjectAttendanceData(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 修改劳务实名制管理
     * 
     * @param surProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int updateSurProjectAttendanceData(SurProjectAttendanceData surProjectAttendanceData);

    /**
     * 批量删除劳务实名制管理
     * 
     * @param ids 需要删除的劳务实名制管理主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataByIds(Long[] ids);

    /**
     * 删除劳务实名制管理信息
     * 
     * @param id 劳务实名制管理主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataById(Long id);

    public void add(SurProjectAttendanceData sdata);

    public long getLastServerId(SurProjectAttendanceData where);

    public List<SurProjectAttendanceData> groupByComany(SurProjectAttendanceData where);

}
